### Constructor

# Clutter ShaderEffect new

#### Declaration [src]

    ClutterEffect*
    clutter_shader_effect_new (
      ClutterShaderType shader_type
    )

#### Description [src]

Creates a new `ClutterShaderEffect`, to be applied to an actor using `clutter_actor_add_effect()`.

The effect will be empty until `clutter_shader_effect_set_shader_source()` is called.

#### Parameters

`shader_type`

  Type: `ClutterShaderType`

  The type of the shader, either `CLUTTER_FRAGMENT_SHADER`, or `CLUTTER_VERTEX_SHADER`.

#### Return value

Type: `ClutterEffect`

The newly created `ClutterShaderEffect`. Use `g_object_unref()` when done.

The data is owned by the called function.